#include "chdecl.h"
void CH_tokenize(current, sched, cop)
#define ARGUMENTS 14
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c6;
    case 4: goto c12;
    case 5: goto c14;
    case 6: goto c19;
    case 7: goto c25;
    case 8: goto c27;
    case 9: goto c32;
    case 10: goto c38;
    case 11: goto c40;
    case 12: goto c55;
    case 13: goto c78;
    case 14: goto c79;
    case 15: goto c90;
    case 16: goto c95;
    case 17: goto c100;
    case 18: goto cb104;
    case 19: goto c105;
    case 20: goto c116;
    case 21: goto c119;
    case 22: goto c274;
    case 23: goto c306;
    case 24: goto c310;
    case 25: goto c312;
    case 26: goto c320;
    case 27: goto c328;
    case 28: goto c334;
    case 29: goto c343;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_table 4 , 2 */
  if ((ch_returncode = che_new_table(DEF(4),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 5 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = & dr_table;
/* initget 6 5 , 0,0 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(6),DEF(5),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c6:
/* get_or_goto 6 5 , 14 */
  if ((ch_returncode = get_selected_object(DEF(6),DEF(5),sched)) != Normal)
     goto c14;
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* copy 7 6 */
  if((ch_returncode = (REF(6).tsdr->copy)(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val;
  REF(7).tsdr = datarepmap[REF(6).tsdr->number];
/* insert 4 7 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 6 */
   goto c6;
c12:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c14:
/* endget 6 5 */
  end_selector(DEF(6),DEF(5),sched,GET);
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* new_table 8 , 2 */
  if ((ch_returncode = che_new_table(DEF(8),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 9 3.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).value = ch_val;
  REF(9).tsdr = & dr_table;
/* initget 10 9 , 0,0 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(10),DEF(9),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c19:
/* get_or_goto 10 9 , 27 */
  if ((ch_returncode = get_selected_object(DEF(10),DEF(9),sched)) != Normal)
     goto c27;
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* copy 11 10 */
  if((ch_returncode = (REF(10).tsdr->copy)(& ch_val, REF(10).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val;
  REF(11).tsdr = datarepmap[REF(10).tsdr->number];
/* insert 8 11 */
  if ((ch_returncode = insertfunc(DEF(8),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 19 */
   goto c19;
c25:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c27:
/* endget 10 9 */
  end_selector(DEF(10),DEF(9),sched,GET);
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* new_table 12 , 2 */
  if ((ch_returncode = che_new_table(DEF(12),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 13 3.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).value = ch_val;
  REF(13).tsdr = & dr_table;
/* initget 14 13 , 0,0 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(14),DEF(13),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c32:
/* get_or_goto 14 13 , 40 */
  if ((ch_returncode = get_selected_object(DEF(14),DEF(13),sched)) != Normal)
     goto c40;
/* block , 6 */
  if((ch_returncode = che_block(QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* copy 15 14 */
  if((ch_returncode = (REF(14).tsdr->copy)(& ch_val, REF(14).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).value = ch_val;
  REF(15).tsdr = datarepmap[REF(14).tsdr->number];
/* insert 12 15 */
  if ((ch_returncode = insertfunc(DEF(12),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 32 */
   goto c32;
c38:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c40:
/* endget 14 13 */
  end_selector(DEF(14),DEF(13),sched,GET);
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* size 16 3.3 */
  REF(16).value.integer = REF(3)DOT(3).value.table->size;
  REF(16).tsdr = & dr_integer;
/* imod 17 16 =(2) */
  if (!chf_imod(DEF(17),REF(16).value.integer,2)) goto ch_depletion;
/* equal . 17 =(0) , 49 */
  if ( REF(17).value.integer == 0 ) goto c49;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c49:
/* new_table 18 , 7 */
  if ((ch_returncode = che_new_table(DEF(18),QUAL(7),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 19 , 2 */
  if ((ch_returncode = che_new_table(DEF(19),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 20 , 2 */
  if ((ch_returncode = che_new_table(DEF(20),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* ilit 21 , 0 */
  REF(21).value.integer = 0;
  REF(21).tsdr = & dr_integer;
c55:
/* size 22 3.3 */
  REF(22).value.integer = REF(3)DOT(3).value.table->size;
  REF(22).tsdr = & dr_integer;
/* ige . 21 22 , 76 */
  if ( REF(21).value.integer >= REF(22).value.integer ) goto c76;
/* new_record 23 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val; REF(23).tsdr = & dr_record;
/* lookup_at 24 3.3 21 */
  if((ch_i = REF(21).value.integer) < 0 || ch_i >= (ch_t = REF(3)DOT(3).value
    .table)->size) goto ch_notfound;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(24).value,ch_i);
  REF(24).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 23.0 24 */
  if((ch_returncode = (REF(24).tsdr->copy)(& ch_val, REF(24).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(23)DOT(0).tsdr)->finalize)(REF(23)DOT(0).value,F_DISCARD,sched);
  REF(23)DOT(0).value = ch_val;
  REF(23)DOT(0).tsdr = datarepmap[REF(24).tsdr->number];
/* iadd 25 21 =(1) */
  if (!chf_iadd(DEF(25),REF(21).value.integer,1)) goto ch_depletion;
/* lookup_at 26 3.3 25 */
  if((ch_i = REF(25).value.integer) < 0 || ch_i >= (ch_t = REF(3)DOT(3).value
    .table)->size) goto ch_notfound;
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(26).value,ch_i);
  REF(26).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 23.1 26 */
  if((ch_returncode = (REF(26).tsdr->copy)(& ch_val, REF(26).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(23)DOT(1).tsdr)->finalize)(REF(23)DOT(1).value,F_DISCARD,sched);
  REF(23)DOT(1).value = ch_val;
  REF(23)DOT(1).tsdr = datarepmap[REF(26).tsdr->number];
/* copy 27 23.0 */
  if((ch_returncode = (REF(23)DOT(0).tsdr->copy)(& ch_val, REF(23)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = datarepmap[REF(23)DOT(0).tsdr->number];
/* insert 20 27 */
  if ((ch_returncode = insertfunc(DEF(20),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 28 23.1 */
  if((ch_returncode = (REF(23)DOT(1).tsdr->copy)(& ch_val, REF(23)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val;
  REF(28).tsdr = datarepmap[REF(23)DOT(1).tsdr->number];
/* insert 19 28 */
  if ((ch_returncode = insertfunc(DEF(19),DEF(28),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 18 23 */
  if ((ch_returncode = insertfunc(DEF(18),DEF(23),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* iadd 21 21 =(2) */
  if (!chf_iadd(DEF(21),REF(21).value.integer,2)) goto ch_depletion;
/* branch , 55 */
   goto c55;
c76:
/* endblock */
  che_endblock(sched);
/* branch , 79 */
   goto c79;
c78:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c79:
/* block , 9 */
  if((ch_returncode = che_block(QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* copy 29 4 */
  if((ch_returncode = cp_table(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val;
  REF(29).tsdr = & dr_table;
/* merge 20 29 */
  if ((ch_returncode = mergefunc(DEF(20),DEF(29),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 30 8 */
  if((ch_returncode = cp_table(& ch_val, REF(8).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).value = ch_val;
  REF(30).tsdr = & dr_table;
/* merge 20 30 */
  if ((ch_returncode = mergefunc(DEF(20),DEF(30),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 31 12 */
  if((ch_returncode = cp_table(& ch_val, REF(12).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val;
  REF(31).tsdr = & dr_table;
/* merge 20 31 */
  if ((ch_returncode = mergefunc(DEF(20),DEF(31),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 32 19 */
  if((ch_returncode = cp_table(& ch_val, REF(19).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).value = ch_val;
  REF(32).tsdr = & dr_table;
/* merge 20 32 */
  if ((ch_returncode = mergefunc(DEF(20),DEF(32),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 95 */
   goto c95;
c90:
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c95:
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* new_inport 33 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val; REF(33).tsdr = & dr_inport;
/* connect 3.4 33 */
  if (REF(33).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(4).tsdr)->finalize)(REF(3)DOT(4).value,F_DISCARD,sched);
  REF(33).value.inport->refcount++;
  REF(3)DOT(4).value.outport = REF(33).value.inport;
  REF(3)DOT(4).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
c100:
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 18;
cb104:
/* receive 35 33 */
  if ((ch_returncode = che_receive(DEF(35),DEF(33),sched)) != Normal)
     goto ch_raise_exception;
  return;
c105:
/* new_table 35.1 , 11 */
  if ((ch_returncode = che_new_table(DEF(35)DOT(1),QUAL(11)
    ,sched)) != Normal)  goto ch_raise_exception;
/* new_table 36 , 12 */
  if ((ch_returncode = che_new_table(DEF(36),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* ordenum_lit 37 , 32 */
  REF(37).value.ord_enum = 32;
  REF(37).tsdr = & dr_ord_enumeration;
/* ordenum_lit 38 , 32 */
  REF(38).value.ord_enum = 32;
  REF(38).tsdr = & dr_ord_enumeration;
/* new_table 34 , 11 */
  if ((ch_returncode = che_new_table(DEF(34),QUAL(11),sched)) != Normal) 
     goto ch_raise_exception;
/* enum_lit 39 , 0 */
  REF(39).value.enumeration = 0;
  REF(39).tsdr = & dr_enumeration;
/* copy 40 35.0 */
  if((ch_returncode = cp_table(& ch_val, REF(35)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).value = ch_val;
  REF(40).tsdr = & dr_table;
/* initget 41 40 , 0,0 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(41),DEF(40),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c116:
/* get_or_goto 41 40 , 274 */
  if ((ch_returncode = get_selected_object(DEF(41),DEF(40),sched)) != Normal)
     goto c274;
/* boolean 42 , FALSE */
  REF(42).value.boolean = FALSE;
  REF(42).tsdr = & dr_boolean;
c119:
/* not 43 42 */
  REF(43).value.boolean = !REF(42).value.boolean;
  REF(43).tsdr = & dr_boolean;
/* branch_false 43 , 116 */
  if ( !REF(43).value.boolean ) goto c116;
/* equal . 39 =(3) , 131 */
  if ( REF(39).value.enumeration == 3 ) goto c131;
/* equal . 39 =(2) , 150 */
  if ( REF(39).value.enumeration == 2 ) goto c150;
/* equal . 39 =(1) , 160 */
  if ( REF(39).value.enumeration == 1 ) goto c160;
/* equal . 39 =(0) , 178 */
  if ( REF(39).value.enumeration == 0 ) goto c178;
/* branch , 271 */
   goto c271;
c131:
/* notequal . 41 38 , 138 */
  if ( REF(41).value.ord_enum != REF(38).value.ord_enum ) goto c138;
/* copy 44 41 */
  REF(44) = REF(41);
/* insert 36 44 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(44),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* enum_lit 39 , 2 */
  REF(39).value.enumeration = 2;
  REF(39).tsdr = & dr_enumeration;
/* branch , 147 */
   goto c147;
c138:
/* new_record 45 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).value = ch_val; REF(45).tsdr = & dr_record;
/* copy 45.0 41 */
  REF(45)DOT(0) = REF(41);
/* move 45.1 36 */
  (*(REF(45)DOT(1).tsdr)->finalize)(REF(45)DOT(1).value,F_DISCARD,sched);
  REF(45)DOT(1) = REF(36);
  REF(36).tsdr = & dr_bottom;
/* unite 46 45 , 2 */
  if ((ch_returncode = che_unite(DEF(46),DEF(45),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 35.1 46 */
  if ((ch_returncode = insertfunc(DEF(35)DOT(1),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 36 , 12 */
  if ((ch_returncode = che_new_table(DEF(36),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* enum_lit 39 , 0 */
  REF(39).value.enumeration = 0;
  REF(39).tsdr = & dr_enumeration;
c147:
/* boolean 42 , TRUE */
  REF(42).value.boolean = TRUE;
  REF(42).tsdr = & dr_boolean;
/* branch , 119 */
   goto c119;
c150:
/* notequal . 41 38 , 155 */
  if ( REF(41).value.ord_enum != REF(38).value.ord_enum ) goto c155;
/* enum_lit 39 , 3 */
  REF(39).value.enumeration = 3;
  REF(39).tsdr = & dr_enumeration;
/* branch , 157 */
   goto c157;
c155:
/* copy 47 41 */
  REF(47) = REF(41);
/* insert 36 47 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(47),FALSE,0)) != Normal)
     goto ch_raise_exception;
c157:
/* boolean 42 , TRUE */
  REF(42).value.boolean = TRUE;
  REF(42).tsdr = & dr_boolean;
/* branch , 119 */
   goto c119;
c160:
/* boolean 48 , FALSE */
  REF(48).value.boolean = FALSE;
  REF(48).tsdr = & dr_boolean;
/* find_or_goto 49 4 41 , 0,163 */
  if (findfunc(DEF(49),DEF(4),(
          arguments[0] = DEF(41),& arguments[0]),sched,0) == FAILURE) goto c163;
/* boolean 48 , TRUE */
  REF(48).value.boolean = TRUE;
  REF(48).tsdr = & dr_boolean;
c163:
/* branch_false 48 , 169 */
  if ( !REF(48).value.boolean ) goto c169;
/* copy 50 41 */
  REF(50) = REF(41);
/* insert 36 50 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(50),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 42 , TRUE */
  REF(42).value.boolean = TRUE;
  REF(42).tsdr = & dr_boolean;
/* branch , 119 */
   goto c119;
c169:
/* unite 46 36 , 0 */
  if ((ch_returncode = che_unite(DEF(46),DEF(36),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 35.1 46 */
  if ((ch_returncode = insertfunc(DEF(35)DOT(1),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 36 , 12 */
  if ((ch_returncode = che_new_table(DEF(36),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* enum_lit 39 , 0 */
  REF(39).value.enumeration = 0;
  REF(39).tsdr = & dr_enumeration;
/* boolean 42 , FALSE */
  REF(42).value.boolean = FALSE;
  REF(42).tsdr = & dr_boolean;
/* branch , 119 */
   goto c119;
c178:
/* boolean 51 , FALSE */
  REF(51).value.boolean = FALSE;
  REF(51).tsdr = & dr_boolean;
/* find_or_goto 52 19 41 , 0,181 */
  if (findfunc(DEF(52),DEF(19),(
          arguments[0] = DEF(41),& arguments[0]),sched,0) == FAILURE) goto c181;
/* boolean 51 , TRUE */
  REF(51).value.boolean = TRUE;
  REF(51).tsdr = & dr_boolean;
c181:
/* size 53 34 */
  REF(53).value.integer = REF(34).value.table->size;
  REF(53).tsdr = & dr_integer;
/* notequal 54 53 =(0) */
  REF(54).value.boolean = (REF(53).value.integer != 0);
  REF(54).tsdr = & dr_boolean;
/* notequal 55 41 37 */
  REF(55).value.boolean = (REF(41).value.ord_enum != REF(37).value.ord_enum);
  REF(55).tsdr = & dr_boolean;
/* or 56 54 55 */
  REF(56).value.boolean = REF(54).value.boolean|REF(55).value.boolean;
  REF(56).tsdr = & dr_boolean;
/* and 57 51 56 */
  REF(57).value.boolean = REF(51).value.boolean&REF(56).value.boolean;
  REF(57).tsdr = & dr_boolean;
/* size 58 34 */
  REF(58).value.integer = REF(34).value.table->size;
  REF(58).tsdr = & dr_integer;
/* notequal 59 58 =(0) */
  REF(59).value.boolean = (REF(58).value.integer != 0);
  REF(59).tsdr = & dr_boolean;
/* equal 60 41 37 */
  REF(60).value.boolean = (REF(41).value.ord_enum == REF(37).value.ord_enum);
  REF(60).tsdr = & dr_boolean;
/* and 61 59 60 */
  REF(61).value.boolean = REF(59).value.boolean&REF(60).value.boolean;
  REF(61).tsdr = & dr_boolean;
/* boolean 62 , FALSE */
  REF(62).value.boolean = FALSE;
  REF(62).tsdr = & dr_boolean;
/* find_or_goto 63 18 41 , 0,195 */
  if (findfunc(DEF(63),DEF(18),(
          arguments[0] = DEF(41),& arguments[0]),sched,0) == FAILURE) goto c195;
/* boolean 62 , TRUE */
  REF(62).value.boolean = TRUE;
  REF(62).tsdr = & dr_boolean;
c195:
/* boolean 64 , FALSE */
  REF(64).value.boolean = FALSE;
  REF(64).tsdr = & dr_boolean;
/* find_or_goto 65 12 41 , 0,198 */
  if (findfunc(DEF(65),DEF(12),(
          arguments[0] = DEF(41),& arguments[0]),sched,0) == FAILURE) goto c198;
/* boolean 64 , TRUE */
  REF(64).value.boolean = TRUE;
  REF(64).tsdr = & dr_boolean;
c198:
/* boolean 66 , FALSE */
  REF(66).value.boolean = FALSE;
  REF(66).tsdr = & dr_boolean;
/* find_or_goto 67 4 41 , 0,201 */
  if (findfunc(DEF(67),DEF(4),(
          arguments[0] = DEF(41),& arguments[0]),sched,0) == FAILURE) goto c201;
/* boolean 66 , TRUE */
  REF(66).value.boolean = TRUE;
  REF(66).tsdr = & dr_boolean;
c201:
/* boolean 68 , FALSE */
  REF(68).value.boolean = FALSE;
  REF(68).tsdr = & dr_boolean;
/* find_or_goto 69 8 41 , 0,204 */
  if (findfunc(DEF(69),DEF(8),(
          arguments[0] = DEF(41),& arguments[0]),sched,0) == FAILURE) goto c204;
/* boolean 68 , TRUE */
  REF(68).value.boolean = TRUE;
  REF(68).tsdr = & dr_boolean;
c204:
/* select * 57 * 61 * 62 * 64 * 66 * 68 , {206,208,232,247,253,260} */
  if ( REF(57).value.boolean ) goto c206;
  if ( REF(61).value.boolean ) goto c208;
  if ( REF(62).value.boolean ) goto c232;
  if ( REF(64).value.boolean ) goto c247;
  if ( REF(66).value.boolean ) goto c253;
  if ( REF(68).value.boolean ) goto c260;
/* branch , 263 */
   goto c263;
c206:
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c208:
/* privatize 34 */
  if (REF(34).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(34))) != Normal)
       goto ch_raise_exception;
/* size 70 34 */
  REF(70).value.integer = REF(34).value.table->size;
  REF(70).tsdr = & dr_integer;
/* isubtract 71 70 =(1) */
  if (!chf_isubtract(DEF(71),REF(70).value.integer,1)) goto ch_depletion;
/* lookup_at 72 34 71 */
  if((ch_i = REF(71).value.integer) < 0 || ch_i >= (ch_t = REF(34).value
    .table)->size) goto ch_notfound;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(72).value,ch_i);
  REF(72).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 73 34 71 */
  if ((ch_returncode = remove_at_func(DEF(73),DEF(34),REF(71).value.integer
    )) != Normal) goto ch_raise_exception;
/* size 74 34 */
  REF(74).value.integer = REF(34).value.table->size;
  REF(74).tsdr = & dr_integer;
/* notequal . 74 =(0) , 227 */
  if ( REF(74).value.integer != 0 ) goto c227;
/* new_record 75 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).value = ch_val; REF(75).tsdr = & dr_record;
/* move 75.0 73.0.0 */
  (*(REF(75)DOT(0).tsdr)->finalize)(REF(75)DOT(0).value,F_DISCARD,sched);
  REF(75)DOT(0) = REF(73)DOT(0)DOT(0);
  REF(73)DOT(0)DOT(0).tsdr = & dr_bottom;
/* move 75.1 73.0.1 */
  REF(75)DOT(1) = REF(73)DOT(0)DOT(1);
  REF(73)DOT(0)DOT(1).tsdr = & dr_bottom;
/* move 75.2 36 */
  (*(REF(75)DOT(2).tsdr)->finalize)(REF(75)DOT(2).value,F_DISCARD,sched);
  REF(75)DOT(2) = REF(36);
  REF(36).tsdr = & dr_bottom;
/* new_table 36 , 12 */
  if ((ch_returncode = che_new_table(DEF(36),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* unite 46 75 , 3 */
  if ((ch_returncode = che_unite(DEF(46),DEF(75),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 35.1 46 */
  if ((ch_returncode = insertfunc(DEF(35)DOT(1),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 229 */
   goto c229;
c227:
/* copy 76 41 */
  REF(76) = REF(41);
/* insert 36 76 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(76),FALSE,0)) != Normal)
     goto ch_raise_exception;
c229:
/* boolean 42 , TRUE */
  REF(42).value.boolean = TRUE;
  REF(42).tsdr = & dr_boolean;
/* branch , 269 */
   goto c269;
c232:
/* new_record 73 , 1 */
  if ((ch_val.record = new_record(1)) == nil) goto ch_depletion;
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).value = ch_val; REF(73).tsdr = & dr_record;
/* find 77 18 41 , 0 */
  if (findfunc(DEF(77),DEF(18),(
          arguments[0] = DEF(41),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 73.0 77 */
  if((ch_returncode = (REF(77).tsdr->copy)(& ch_val, REF(77).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(73)DOT(0).tsdr)->finalize)(REF(73)DOT(0).value,F_DISCARD,sched);
  REF(73)DOT(0).value = ch_val;
  REF(73)DOT(0).tsdr = datarepmap[REF(77).tsdr->number];
/* copy 37 73.0.1 */
  REF(37) = REF(73)DOT(0)DOT(1);
/* size 78 34 */
  REF(78).value.integer = REF(34).value.table->size;
  REF(78).tsdr = & dr_integer;
/* equal . 78 =(0) , 243 */
  if ( REF(78).value.integer == 0 ) goto c243;
/* copy 79 41 */
  REF(79) = REF(41);
/* insert 36 79 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(79),FALSE,0)) != Normal)
     goto ch_raise_exception;
c243:
/* insert 34 73 */
  if ((ch_returncode = insertfunc(DEF(34),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 42 , TRUE */
  REF(42).value.boolean = TRUE;
  REF(42).tsdr = & dr_boolean;
/* branch , 269 */
   goto c269;
c247:
/* copy 38 41 */
  REF(38) = REF(41);
/* enum_lit 39 , 2 */
  REF(39).value.enumeration = 2;
  REF(39).tsdr = & dr_enumeration;
/* boolean 42 , TRUE */
  REF(42).value.boolean = TRUE;
  REF(42).tsdr = & dr_boolean;
/* branch , 269 */
   goto c269;
c253:
/* enum_lit 39 , 1 */
  REF(39).value.enumeration = 1;
  REF(39).tsdr = & dr_enumeration;
/* copy 80 41 */
  REF(80) = REF(41);
/* insert 36 80 */
  if ((ch_returncode = insertfunc(DEF(36),DEF(80),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 42 , TRUE */
  REF(42).value.boolean = TRUE;
  REF(42).tsdr = & dr_boolean;
/* branch , 269 */
   goto c269;
c260:
/* boolean 42 , TRUE */
  REF(42).value.boolean = TRUE;
  REF(42).tsdr = & dr_boolean;
/* branch , 269 */
   goto c269;
c263:
/* copy 81 41 */
  REF(81) = REF(41);
/* unite 46 81 , 1 */
  if ((ch_returncode = che_unite(DEF(46),DEF(81),sched,1)) != Normal)
     goto ch_raise_exception;
/* insert 35.1 46 */
  if ((ch_returncode = insertfunc(DEF(35)DOT(1),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 42 , TRUE */
  REF(42).value.boolean = TRUE;
  REF(42).tsdr = & dr_boolean;
c269:
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* branch , 119 */
   goto c119;
c271:
/* exit , 14 */
  ch_e = handler_type__exit; ch_val = QUAL(14); goto ch_exception;
c274:
/* endget 41 40 */
  end_selector(DEF(41),DEF(40),sched,GET);
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* equal . 39 =(0) , 297 */
  if ( REF(39).value.enumeration == 0 ) goto c297;
/* equal . 39 =(3) , 285 */
  if ( REF(39).value.enumeration == 3 ) goto c285;
/* equal . 39 =(1) , 292 */
  if ( REF(39).value.enumeration == 1 ) goto c292;
/* branch , 296 */
   goto c296;
c285:
/* new_record 82 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).value = ch_val; REF(82).tsdr = & dr_record;
/* copy 82.0 38 */
  REF(82)DOT(0) = REF(38);
/* move 82.1 36 */
  (*(REF(82)DOT(1).tsdr)->finalize)(REF(82)DOT(1).value,F_DISCARD,sched);
  REF(82)DOT(1) = REF(36);
  REF(36).tsdr = & dr_bottom;
/* unite 46 82 , 2 */
  if ((ch_returncode = che_unite(DEF(46),DEF(82),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 35.1 46 */
  if ((ch_returncode = insertfunc(DEF(35)DOT(1),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 297 */
   goto c297;
c292:
/* unite 46 36 , 0 */
  if ((ch_returncode = che_unite(DEF(46),DEF(36),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 35.1 46 */
  if ((ch_returncode = insertfunc(DEF(35)DOT(1),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 297 */
   goto c297;
c296:
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c297:
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* size 83 34 */
  REF(83).value.integer = REF(34).value.table->size;
  REF(83).tsdr = & dr_integer;
/* equal . 83 =(0) , 303 */
  if ( REF(83).value.integer == 0 ) goto c303;
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c303:
/* return 35 */
  if (ch_caller = do_return(REF(35).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(35).value);
  REF(35).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 100 */
   goto c100;
c306:
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 35.1 */
  (*(REF(35)DOT(1).tsdr)->finalize)(REF(35)DOT(1).value,F_DISCARD,sched);
  REF(35)DOT(1).tsdr = & dr_bottom;
/* return_exception 35 , 15 */
  if (ch_caller = do_return(REF(35).value)) {
    raise_user(QUAL(15),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(35),QUAL(15));
  REF(35).tsdr = & dr_bottom;
/* branch , 100 */
   goto c100;
c310:
/* endblock */
  che_endblock(sched);
/* branch , 334 */
   goto c334;
c312:
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* branch , 334 */
   goto c334;
c320:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* return_exception 3 , 16 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(16),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(16));
  REF(3).tsdr = & dr_bottom;
/* branch , 334 */
   goto c334;
c328:
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* chs_lit 84 , "CantHappen happened in tokenizer" */
  if( !chs_lit(DEF(84),"CantHappen happened in tokenizer") )
     goto ch_depletion;
/* print 84 */
  re_print(stderr, 0, DEF(84)); fflush(stderr);
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
c334:
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c343:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
